gnutls_handshake_set_private_extensions(3)

NAME
gnutls_handshake_set_private_extensions - Used to enable the private cipher suites

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_handshake_set_private_extensions(gnutls_session_t session, int allow);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

int allow
    is an integer (0 or 1)

DESCRIPTION
This function will enable or disable the use of private cipher suites (the ones that start with 0xFF). By default or if allow is 0 then these cipher suites will not be advertized nor used. Unless this function is called with the option to allow (1), then no compression algorithms, like LZO. That is because these algorithms are not yet defined in any RFC or even internet draft. Enabling the private ciphersuites when talking to other than gnutls servers and clients may cause interoperability problems.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.